Get API key
curl --request GET \
--url https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/tenant/{tenantId}/api-key/{apiKeyId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/tenant/{tenantId}/api-key/{apiKeyId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/tenant/{tenantId}/api-key/{apiKeyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"permissions": [
"create_tenant"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tenant_id": "<string>"
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}Tenants
Get API key
GET
/
tenant
/
{tenantId}
/
api-key
/
{apiKeyId}
Get API key
Authorizations
Bearer token in the Authorization header (e.g. JWT / Cognito access token).
Response
OK
Fine-grained capability string (matches paas-lib permission identifiers).
Available options:
create_tenant, read_tenant, update_tenant, delete_tenant, manage_tenant_members, manage_tenant_settings, manage_tenant_api_keys, create_integration, read_integration, update_integration, delete_integration, create_project, read_project, update_project, delete_project, bulk_deploy_project, clone_project, create_environment, read_environment, update_environment, delete_environment, clone_environment, deploy_environment, read_workflow, read_tenant_workflows, create_resource, read_resource, update_resource, delete_resource, list_tenants, manage_super_admins, read_system, update_system, read_github_repos, read_github_app, read_my_invitations, read_tenant_invitations, create_invitation, delete_invitation